[BACK]Return to patch-Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / print / foo2zjs / patches

File: [cvs.NetBSD.org] / pkgsrc / print / foo2zjs / patches / patch-Makefile (download)

Revision 1.3, Wed Sep 24 13:44:21 2014 UTC (8 years, 4 months ago) by jperkin
Branch: MAIN
CVS Tags: pkgsrc-2015Q2-base, pkgsrc-2015Q2, pkgsrc-2015Q1-base, pkgsrc-2015Q1, pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3
Changes since 1.2: +10 -1 lines

Requires USE_TOOLS+=groff, fix $INSTALL command on SunOS.

$NetBSD: patch-Makefile,v 1.3 2014/09/24 13:44:21 jperkin Exp $

Fix PREFIX path
Remove extra dc check. The DragonFly version has dc that supports the -e
option, but it doesn't support -V.  It's a bad check, the conftest should
actually test for -e support.  Just remove it completely.

--- Makefile.orig	2012-06-01 23:10:31.000000000 +0000
+++ Makefile
@@ -17,9 +17,7 @@ SYSNAME := $(shell uname -n)
 VERSION=0.0
 
 # Installation prefix...
-PREFIX=/usr/local
-PREFIX=/usr
-PREFIX=$(DESTDIR)/usr
+PREFIX=@PREFIX@
 
 # Pathnames for this package...
 BIN=$(PREFIX)/bin
@@ -31,7 +29,7 @@ SHARELAVA=$(PREFIX)/share/foo2lava
 SHAREQPDL=$(PREFIX)/share/foo2qpdl
 SHARESLX=$(PREFIX)/share/foo2slx
 SHAREHC=$(PREFIX)/share/foo2hiperc
-MANDIR=$(PREFIX)/share/man
+MANDIR=@PKGMANDIR@
 DOCDIR=$(PREFIX)/share/doc/foo2zjs/
 INSTALL=install
 ROOT=root
@@ -58,7 +56,7 @@ endif
 ifeq ($(UNAME),SunOS)
     LPuid=-oroot
     LPgid=-glp
-    INSTALL=/usr/ucb/install
+    #INSTALL=/usr/ucb/install
 endif
 # If we aren't root, don't try to set ownership
 ifneq ($(EUID),0)
@@ -409,12 +407,6 @@ all-test:
 	    echo "      ***"; \
 	    exit 1; \
 	fi
-	@if ! dc -V >/dev/null 2>&1; then \
-	    echo "      ***"; \
-	    echo "      *** Error: must install GNU dc with the -e option!"; \
-	    echo "      ***"; \
-	    exit 1; \
-	fi
 ifeq ($(UNAME),Darwin)
 	@if ! type gsed >/dev/null 2>&1; then \
 	    echo "      ***"; \